Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.discount.association
Class AssociationAlreadyExistsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.beasys.commerce.foundation.exception.ApplicationException
                  com.bea.commerce.ebusiness.discount.DiscountException
                      com.bea.commerce.ebusiness.discount.association.AssociationAlreadyExistsException

All Implemented Interfaces
  MessageCatalogException, Serializable

    public class AssociationAlreadyExistsException

extends DiscountException

Indicates that the discount association trying to be created already exists

See Also
  Serialized Form

Field Summary

Fields inherited from class com.bea.commerce.ebusiness.discount.DiscountException
`MESSAGE_NAMESPACE`

Fields inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`AssociationAlreadyExistsException(String messageKey)` Class constructor taking key of the associated catalog message.
`AssociationAlreadyExistsException(String messageKey, Exception exception)` Class constructor taking key of the associated catalog message and an embedded exception.
`AssociationAlreadyExistsException(String messageKey, Object argument)` Class constructor taking key of the associated catalog message and a message parameter substitution argument.
`AssociationAlreadyExistsException(String messageKey, Object[] arguments)` Class constructor taking key of the associated catalog message and message parameter substitution arguments.

Method Summary

Methods inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AssociationAlreadyExistsException

    public AssociationAlreadyExistsException(String messageKey)

  Class constructor taking key of the associated catalog message.

  Parameters
    `messageKey` - The associated catalog message key.

### AssociationAlreadyExistsException

    public AssociationAlreadyExistsException(String messageKey,
                                             Exception exception)

  Class constructor taking key of the associated catalog message and an embedded exception.

  Parameters
    `messageKey` - The associated catalog message key.
    `exception` - The embedded exception.

### AssociationAlreadyExistsException

    public AssociationAlreadyExistsException(String messageKey,
                                             Object argument)

  Class constructor taking key of the associated catalog message and a message parameter substitution argument.

  Parameters
    `messageKey` - The associated catalog message key.
    `argument` - The message parameter substitution argument.

### AssociationAlreadyExistsException

    public AssociationAlreadyExistsException(String messageKey,
                                             Object[] arguments)

  Class constructor taking key of the associated catalog message and message parameter substitution arguments.

  Parameters
    `messageKey` - The associated catalog message key.
    `arguments` - The message parameter substitution arguments.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved